]> Git Repo - u-boot.git/blame - .gitlab-ci.yml
test: Correct regex string in test_spi
[u-boot.git] / .gitlab-ci.yml
CommitLineData
1a62a722
TR
1# SPDX-License-Identifier: GPL-2.0+
2
8b0b5017
PH
3variables:
4 DEFAULT_TAG: ""
74bcbb13 5 MIRROR_DOCKER: docker.io
8b0b5017
PH
6
7default:
8 tags:
9 - ${DEFAULT_TAG}
10
cb735173
JS
11# Grab our configured image. The source for this is found
12# in the u-boot tree at tools/docker/Dockerfile
0b06e052 13image: ${MIRROR_DOCKER}/trini/u-boot-gitlab-ci-runner:jammy-20240808-21Aug2024
1a62a722
TR
14
15# We run some tests in different order, to catch some failures quicker.
16stages:
1a62a722 17 - testsuites
b29cb058 18 - test.py
1a62a722
TR
19 - world build
20
21.buildman_and_testpy_template: &buildman_and_testpy_dfn
1a62a722 22 stage: test.py
58b35850 23 retry: 2 # QEMU may be too slow, etc.
399f739b
AC
24 rules:
25 - when: always
1a62a722
TR
26 before_script:
27 # Clone uboot-test-hooks
bd181a24 28 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
85ae52b9 29 - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks
fd10d156
JF
30 # qemu_arm64_lwip_defconfig is the same as qemu_arm64 but with NET_LWIP enabled.
31 # The test config and the boardenv file from qemu_arm64 can be re-used so create symlinks
32 - ln -s conf.qemu_arm64_na /tmp/uboot-test-hooks/bin/travis-ci/conf.qemu_arm64_lwip_na
1a62a722
TR
33 - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname`
34 - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname`
28a51234
TR
35 - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
36 - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
49fb28a4 37 - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then
a966634e
HS
38 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ;
39 export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin;
49fb28a4 40 fi
0e60b3a7 41 - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
a966634e
HS
42 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ;
43 export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin;
49fb28a4 44 fi
25081abf
PR
45 - if [[ "${TEST_PY_BD}" == "qemu-arm-sbsa" ]]; then
46 wget -O /tmp/bl1.bin https://artifacts.codelinaro.org/artifactory/linaro-419-sbsa-ref/latest/tf-a/bl1.bin;
47 wget -O /tmp/fip.bin https://artifacts.codelinaro.org/artifactory/linaro-419-sbsa-ref/latest/tf-a/fip.bin;
2800aecc 48 export BINMAN_INDIRS=/tmp;
25081abf 49 fi
b29cb058 50
1a62a722 51 after_script:
26c56f1c 52 - cp -v /tmp/${TEST_PY_BD}/*.{html,css,xml} .
24df1b14 53 - rm -rf /tmp/uboot-test-hooks /tmp/venv
1a62a722 54 script:
dd5c954e 55 # If we've been asked to use clang only do one configuration.
4e32fed4 56 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD}
1aa168ca 57 - echo BUILD_ENV ${BUILD_ENV}
9cea4797
SG
58 - if [ -n "${BUILD_ENV}" ]; then
59 export ${BUILD_ENV};
60 fi
7ec1255c
SG
61 - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e
62 --board ${TEST_PY_BD} ${OVERRIDE}
82560ae2
HS
63 - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/
64 - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/
65 - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi
82560ae2
HS
66 - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi
67 - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi
0e60b3a7
BM
68 # create sdcard / spi-nor images for sifive unleashed using genimage
69 - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
70 mkdir -p root;
71 cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .;
72 cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .;
73 rm -rf tmp;
74 genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg;
75 cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/;
76 rm -rf tmp;
77 genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg;
78 cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/;
79 fi
bfb2a7fb 80 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
3a79c91f
TR
81 cp /opt/coreboot/coreboot.rom ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom;
82 /opt/coreboot/cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom remove -n fallback/payload;
83 /opt/coreboot/cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000;
bfb2a7fb 84 fi
085b8978
TR
85 - virtualenv -p /usr/bin/python3 /tmp/venv
86 - . /tmp/venv/bin/activate
87 - pip install -r test/py/requirements.txt
4080d097 88 # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
4e32fed4 89 - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH};
1a62a722 90 export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
f3092473 91 ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID}
4080d097 92 ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
cec1e856 93 --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
26c56f1c 94 --junitxml=/tmp/${TEST_PY_BD}/results.xml
e5670730
MV
95 artifacts:
96 when: always
97 paths:
98 - "*.html"
99 - "*.css"
26c56f1c
TR
100 reports:
101 junit: results.xml
e5670730 102 expire_in: 1 week
1a62a722 103
399f739b 104.world_build:
1a62a722 105 stage: world build
399f739b
AC
106 rules:
107 - when: always
108
109build all 32bit ARM platforms:
110 extends: .world_build
1a62a722
TR
111 script:
112 - ret=0;
bd181a24 113 git config --global --add safe.directory "${CI_PROJECT_DIR}";
f586cdae 114 pip install -r tools/buildman/requirements.txt;
d7713ad3 115 ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
dd5c954e 116 if [[ $ret -ne 0 ]]; then
b52f5a19 117 ./tools/buildman/buildman -o /tmp -seP;
4c749971
TR
118 exit $ret;
119 fi;
9f7bda10 120
a11cb57d 121build all 64bit ARM platforms:
399f739b 122 extends: .world_build
9f7bda10 123 script:
26a426a1 124 - virtualenv -p /usr/bin/python3 /tmp/venv
f0db8395 125 - . /tmp/venv/bin/activate
9f7bda10 126 - ret=0;
bd181a24 127 git config --global --add safe.directory "${CI_PROJECT_DIR}";
f586cdae 128 pip install -r tools/buildman/requirements.txt;
d7713ad3 129 ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
dd5c954e 130 if [[ $ret -ne 0 ]]; then
b52f5a19 131 ./tools/buildman/buildman -o /tmp -seP;
4c749971
TR
132 exit $ret;
133 fi;
9f7bda10 134
a11cb57d 135build all PowerPC platforms:
399f739b 136 extends: .world_build
9f7bda10
TR
137 script:
138 - ret=0;
bd181a24 139 git config --global --add safe.directory "${CI_PROJECT_DIR}";
dd5c954e
SG
140 ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
141 if [[ $ret -ne 0 ]]; then
b52f5a19 142 ./tools/buildman/buildman -o /tmp -seP;
4c749971
TR
143 exit $ret;
144 fi;
9f7bda10 145
a11cb57d 146build all other platforms:
399f739b 147 extends: .world_build
9f7bda10
TR
148 script:
149 - ret=0;
bd181a24 150 git config --global --add safe.directory "${CI_PROJECT_DIR}";
d7713ad3 151 ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
dd5c954e 152 if [[ $ret -ne 0 ]]; then
b52f5a19 153 ./tools/buildman/buildman -o /tmp -seP;
4c749971
TR
154 exit $ret;
155 fi;
1a62a722 156
399f739b 157.testsuites:
c1a7de57 158 stage: testsuites
399f739b
AC
159 rules:
160 - when: always
161
162check for new CONFIG symbols outside Kconfig:
163 extends: .testsuites
c1a7de57 164 script:
bb9b9c1e
TR
165 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
166 # If grep succeeds and finds a match the test fails as we should
167 # have no matches.
168 - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
a03efb6f 169 :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
25ce987b
RM
170 :^include/linux/kconfig.h :^tools/ :^dts/upstream/
171 :^lib/mbedtls/external :^lib/mbedtls/mbedtls_def_config.h &&
8f31c85c 172 exit 1 || exit 0
c1a7de57 173
e9cc7029
HS
174# build documentation
175docs:
399f739b 176 extends: .testsuites
3eb7b78b 177 script:
836049d6
HS
178 - virtualenv -p /usr/bin/python3 /tmp/venvhtml
179 - . /tmp/venvhtml/bin/activate
180 - pip install -r doc/sphinx/requirements.txt
8a6414d1 181 - make htmldocs KDOC_WERROR=1
e9cc7029 182 - make infodocs
3eb7b78b 183
1a62a722
TR
184# ensure all configs have MAINTAINERS entries
185Check for configs without MAINTAINERS entry:
399f739b 186 extends: .testsuites
1a62a722 187 script:
d6b3297d 188 - ./tools/buildman/buildman --maintainer-check
1a62a722
TR
189
190# Ensure host tools build
562ed115 191Build tools-only and envtools:
399f739b 192 extends: .testsuites
1a62a722 193 script:
562ed115
TR
194 - make tools-only_config tools-only -j$(nproc);
195 make mrproper;
196 make tools-only_config envtools -j$(nproc)
1f3910da 197
7261833f 198Run binman, buildman, dtoc, Kconfig and patman testsuites:
399f739b 199 extends: .testsuites
1a62a722 200 script:
d7ae9321
TR
201 - git config --global user.name "GitLab CI Runner";
202 git config --global user.email [email protected];
b6d4e085 203 git config --global --add safe.directory "${CI_PROJECT_DIR}";
d7ae9321 204 export USER=gitlab;
26a426a1 205 virtualenv -p /usr/bin/python3 /tmp/venv;
d7ae9321 206 . /tmp/venv/bin/activate;
38229b55 207 pip install -r test/py/requirements.txt;
f586cdae 208 pip install -r tools/buildman/requirements.txt;
48f792e3 209 export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only;
d7ae9321
TR
210 export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
211 export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";
b6d4e085 212 set +e;
6c914e42 213 ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
48f792e3 214 --board tools-only;
b6d4e085 215 set -e;
d7ae9321
TR
216 ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test;
217 ./tools/buildman/buildman -t;
218 ./tools/dtoc/dtoc -t;
6bb74de7 219 ./tools/patman/patman test;
7261833f 220 make testconfig
1a62a722 221
642e51ad
SG
222# Check for any pylint regressions
223Run pylint:
399f739b 224 extends: .testsuites
642e51ad 225 script:
b6d4e085 226 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
642e51ad 227 - pip install -r test/py/requirements.txt
f586cdae 228 - pip install -r tools/buildman/requirements.txt
e47bbf7e 229 - pip install asteval pylint==2.12.2 pyopenssl
642e51ad
SG
230 - export PATH=${PATH}:~/.local/bin
231 - echo "[MASTER]" >> .pylintrc
232 - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
48f792e3 233 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only
b6d4e085 234 - set +e
642e51ad 235 - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
48f792e3 236 --board tools-only
b6d4e085 237 - set -e
642e51ad
SG
238 - pylint --version
239 - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
240 - make pylint_err
241
441a3d0a
SG
242# Check for pre-schema driver model tags
243Check for pre-schema tags:
399f739b 244 extends: .testsuites
441a3d0a
SG
245 script:
246 - git config --global --add safe.directory "${CI_PROJECT_DIR}";
247 # If grep succeeds and finds a match the test fails as we should
248 # have no matches.
249 - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
250
c21a5286
SG
251# Check we can package the Python tools
252Check packing of Python tools:
399f739b 253 extends: .testsuites
c21a5286
SG
254 script:
255 - make pip
256
1a62a722
TR
257# Test sandbox with test.py
258sandbox test.py:
1a62a722
TR
259 variables:
260 TEST_PY_BD: "sandbox"
1a62a722
TR
261 <<: *buildman_and_testpy_dfn
262
0219d014 263sandbox with clang test.py:
0219d014
TR
264 variables:
265 TEST_PY_BD: "sandbox"
96afd8a3 266 OVERRIDE: "-O clang-17"
0219d014
TR
267 <<: *buildman_and_testpy_dfn
268
c807bdd0
MV
269sandbox64 test.py:
270 variables:
271 TEST_PY_BD: "sandbox64"
272 <<: *buildman_and_testpy_dfn
273
274sandbox64 with clang test.py:
275 variables:
276 TEST_PY_BD: "sandbox64"
96afd8a3 277 OVERRIDE: "-O clang-17"
c807bdd0
MV
278 <<: *buildman_and_testpy_dfn
279
1a62a722 280sandbox_spl test.py:
1a62a722
TR
281 variables:
282 TEST_PY_BD: "sandbox_spl"
afb26ba9 283 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
1a62a722
TR
284 <<: *buildman_and_testpy_dfn
285
6c914e42 286sandbox_noinst_test.py:
6c914e42
SG
287 variables:
288 TEST_PY_BD: "sandbox_noinst"
289 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
290 <<: *buildman_and_testpy_dfn
291
b93cc1e7
SA
292sandbox_noinst with LOAD_FIT_FULL test.py:
293 variables:
294 TEST_PY_BD: "sandbox_noinst"
295 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
296 OVERRIDE: "-a CONFIG_SPL_LOAD_FIT_FULL=y"
297 <<: *buildman_and_testpy_dfn
298
a31eff30
SG
299sandbox_vpl test.py:
300 variables:
301 TEST_PY_BD: "sandbox_vpl"
8b609878 302 TEST_PY_TEST_SPEC: "vpl or test_spl"
a31eff30 303 <<: *buildman_and_testpy_dfn
9cea4797
SG
304
305# Enable tracing and disable LTO, to ensure functions are not elided
306sandbox trace_test.py:
307 variables:
308 TEST_PY_BD: "sandbox"
309 BUILD_ENV: "FTRACE=1 NO_LTO=1"
310 TEST_PY_TEST_SPEC: "trace"
61cad8da 311 OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000 -a CONFIG_TRACE_BUFFER_SIZE=0x02000000"
9cea4797 312 <<: *buildman_and_testpy_dfn
a31eff30 313
699c0b93 314evb-ast2500 test.py:
699c0b93
TR
315 variables:
316 TEST_PY_BD: "evb-ast2500"
08128f05 317 TEST_PY_TEST_SPEC: "not sleep"
699c0b93 318 TEST_PY_ID: "--id qemu"
699c0b93
TR
319 <<: *buildman_and_testpy_dfn
320
b24087ae
JS
321evb-ast2600 test.py:
322 variables:
323 TEST_PY_BD: "evb-ast2600"
08128f05 324 TEST_PY_TEST_SPEC: "not sleep"
b24087ae
JS
325 TEST_PY_ID: "--id qemu"
326 <<: *buildman_and_testpy_dfn
327
1a62a722 328sandbox_flattree test.py:
1a62a722
TR
329 variables:
330 TEST_PY_BD: "sandbox_flattree"
1a62a722
TR
331 <<: *buildman_and_testpy_dfn
332
15e30106
KA
333vexpress_ca9x4 test.py:
334 variables:
335 TEST_PY_BD: "vexpress_ca9x4"
08128f05 336 TEST_PY_TEST_SPEC: "not sleep"
15e30106
KA
337 TEST_PY_ID: "--id qemu"
338 <<: *buildman_and_testpy_dfn
339
1a62a722 340integratorcp_cm926ejs test.py:
1a62a722
TR
341 variables:
342 TEST_PY_BD: "integratorcp_cm926ejs"
343 TEST_PY_TEST_SPEC: "not sleep"
344 TEST_PY_ID: "--id qemu"
1a62a722
TR
345 <<: *buildman_and_testpy_dfn
346
347qemu_arm test.py:
1a62a722
TR
348 variables:
349 TEST_PY_BD: "qemu_arm"
350 TEST_PY_TEST_SPEC: "not sleep"
1a62a722
TR
351 <<: *buildman_and_testpy_dfn
352
353qemu_arm64 test.py:
1a62a722
TR
354 variables:
355 TEST_PY_BD: "qemu_arm64"
356 TEST_PY_TEST_SPEC: "not sleep"
1a62a722 357 <<: *buildman_and_testpy_dfn
a21e1123 358
fd10d156
JF
359qemu_arm64_lwip test.py:
360 variables:
361 TEST_PY_BD: "qemu_arm64_lwip"
362 TEST_PY_TEST_SPEC: "test_net_dhcp or test_net_ping or test_net_tftpboot"
363 <<: *buildman_and_testpy_dfn
364
25081abf
PR
365qemu_arm_sbsa test.py:
366 variables:
367 TEST_PY_BD: "qemu-arm-sbsa"
368 TEST_PY_TEST_SPEC: "not sleep"
369 <<: *buildman_and_testpy_dfn
370
a21e1123
MV
371qemu_m68k test.py:
372 variables:
373 TEST_PY_BD: "M5208EVBE"
374 TEST_PY_ID: "--id qemu"
375 TEST_PY_TEST_SPEC: "not sleep and not efi"
376 OVERRIDE: "-a CONFIG_M68K_QEMU=y -a ~CONFIG_MCFTMR"
377 <<: *buildman_and_testpy_dfn
1a62a722 378
d8533167 379qemu_malta test.py:
d8533167
DS
380 variables:
381 TEST_PY_BD: "malta"
382 TEST_PY_TEST_SPEC: "not sleep and not efi"
383 TEST_PY_ID: "--id qemu"
384 <<: *buildman_and_testpy_dfn
385
386qemu_maltael test.py:
d8533167
DS
387 variables:
388 TEST_PY_BD: "maltael"
389 TEST_PY_TEST_SPEC: "not sleep and not efi"
390 TEST_PY_ID: "--id qemu"
391 <<: *buildman_and_testpy_dfn
392
393qemu_malta64 test.py:
d8533167
DS
394 variables:
395 TEST_PY_BD: "malta64"
396 TEST_PY_TEST_SPEC: "not sleep and not efi"
397 TEST_PY_ID: "--id qemu"
398 <<: *buildman_and_testpy_dfn
399
400qemu_malta64el test.py:
d8533167
DS
401 variables:
402 TEST_PY_BD: "malta64el"
403 TEST_PY_TEST_SPEC: "not sleep and not efi"
404 TEST_PY_ID: "--id qemu"
405 <<: *buildman_and_testpy_dfn
406
1a62a722 407qemu-ppce500 test.py:
1a62a722
TR
408 variables:
409 TEST_PY_BD: "qemu-ppce500"
410 TEST_PY_TEST_SPEC: "not sleep"
1a62a722
TR
411 <<: *buildman_and_testpy_dfn
412
a379d330 413qemu-riscv32 test.py:
a379d330
BM
414 variables:
415 TEST_PY_BD: "qemu-riscv32"
416 TEST_PY_TEST_SPEC: "not sleep"
a379d330
BM
417 <<: *buildman_and_testpy_dfn
418
7298d82d 419qemu-riscv64 test.py:
7298d82d
TR
420 variables:
421 TEST_PY_BD: "qemu-riscv64"
422 TEST_PY_TEST_SPEC: "not sleep"
49fb28a4
BM
423 <<: *buildman_and_testpy_dfn
424
425qemu-riscv32_spl test.py:
49fb28a4
BM
426 variables:
427 TEST_PY_BD: "qemu-riscv32_spl"
428 TEST_PY_TEST_SPEC: "not sleep"
49fb28a4
BM
429 <<: *buildman_and_testpy_dfn
430
431qemu-riscv64_spl test.py:
49fb28a4
BM
432 variables:
433 TEST_PY_BD: "qemu-riscv64_spl"
434 TEST_PY_TEST_SPEC: "not sleep"
7298d82d
TR
435 <<: *buildman_and_testpy_dfn
436
1a62a722 437qemu-x86 test.py:
1a62a722
TR
438 variables:
439 TEST_PY_BD: "qemu-x86"
440 TEST_PY_TEST_SPEC: "not sleep"
1a62a722
TR
441 <<: *buildman_and_testpy_dfn
442
443qemu-x86_64 test.py:
1a62a722
TR
444 variables:
445 TEST_PY_BD: "qemu-x86_64"
446 TEST_PY_TEST_SPEC: "not sleep"
1a62a722
TR
447 <<: *buildman_and_testpy_dfn
448
7de94126
JY
449qemu-xtensa-dc233c test.py:
450 variables:
451 TEST_PY_BD: "qemu-xtensa-dc233c"
452 TEST_PY_TEST_SPEC: "not sleep and not efi"
453 <<: *buildman_and_testpy_dfn
454
0e125756 455r2dplus_i82557c test.py:
0e125756
MV
456 variables:
457 TEST_PY_BD: "r2dplus"
08128f05 458 TEST_PY_TEST_SPEC: "not sleep"
0e125756
MV
459 TEST_PY_ID: "--id i82557c_qemu"
460 <<: *buildman_and_testpy_dfn
461
462r2dplus_pcnet test.py:
0e125756
MV
463 variables:
464 TEST_PY_BD: "r2dplus"
08128f05 465 TEST_PY_TEST_SPEC: "not sleep"
0e125756
MV
466 TEST_PY_ID: "--id pcnet_qemu"
467 <<: *buildman_and_testpy_dfn
468
469r2dplus_rtl8139 test.py:
0e125756
MV
470 variables:
471 TEST_PY_BD: "r2dplus"
08128f05 472 TEST_PY_TEST_SPEC: "not sleep"
0e125756
MV
473 TEST_PY_ID: "--id rtl8139_qemu"
474 <<: *buildman_and_testpy_dfn
475
476r2dplus_tulip test.py:
0e125756
MV
477 variables:
478 TEST_PY_BD: "r2dplus"
08128f05 479 TEST_PY_TEST_SPEC: "not sleep"
0e125756
MV
480 TEST_PY_ID: "--id tulip_qemu"
481 <<: *buildman_and_testpy_dfn
482
0e60b3a7
BM
483sifive_unleashed_sdcard test.py:
484 variables:
485 TEST_PY_BD: "sifive_unleashed"
08128f05 486 TEST_PY_TEST_SPEC: "not sleep"
0e60b3a7
BM
487 TEST_PY_ID: "--id sdcard_qemu"
488 <<: *buildman_and_testpy_dfn
489
490sifive_unleashed_spi-nor test.py:
491 variables:
492 TEST_PY_BD: "sifive_unleashed"
08128f05 493 TEST_PY_TEST_SPEC: "not sleep"
0e60b3a7
BM
494 TEST_PY_ID: "--id spi-nor_qemu"
495 <<: *buildman_and_testpy_dfn
496
f7c6ee7f 497xilinx_zynq_virt test.py:
1a62a722 498 variables:
f7c6ee7f 499 TEST_PY_BD: "xilinx_zynq_virt"
1a62a722 500 TEST_PY_TEST_SPEC: "not sleep"
1a62a722 501 TEST_PY_ID: "--id qemu"
1a62a722
TR
502 <<: *buildman_and_testpy_dfn
503
504xilinx_versal_virt test.py:
1a62a722
TR
505 variables:
506 TEST_PY_BD: "xilinx_versal_virt"
507 TEST_PY_TEST_SPEC: "not sleep"
1a62a722 508 TEST_PY_ID: "--id qemu"
1a62a722
TR
509 <<: *buildman_and_testpy_dfn
510
511xtfpga test.py:
1a62a722
TR
512 variables:
513 TEST_PY_BD: "xtfpga"
514 TEST_PY_TEST_SPEC: "not sleep"
1a62a722 515 TEST_PY_ID: "--id qemu"
1a62a722 516 <<: *buildman_and_testpy_dfn
bfb2a7fb
SG
517
518coreboot test.py:
519 variables:
520 TEST_PY_BD: "coreboot"
521 TEST_PY_TEST_SPEC: "not sleep"
522 TEST_PY_ID: "--id qemu"
bfb2a7fb 523 <<: *buildman_and_testpy_dfn
This page took 0.206547 seconds and 4 git commands to generate.